org.apache.avro

## Class SchemaBuilder.FixedBuilder<R>

- java.lang.Object
- - org.apache.avro.SchemaBuilder.PropBuilder<S>
  - - org.apache.avro.SchemaBuilder.NamedBuilder<S>
    - - org.apache.avro.SchemaBuilder.NamespacedBuilder<R,SchemaBuilder.FixedBuilder<R>>
      - - org.apache.avro.SchemaBuilder.FixedBuilder<R>

Enclosing class:
  SchemaBuilder

    public static final class SchemaBuilder.FixedBuilder<R>
    extends SchemaBuilder.NamespacedBuilder<R,SchemaBuilder.FixedBuilder<R>>

Builds an Avro Fixed type with optional properties, namespace, doc, and aliases.

Set properties with `SchemaBuilder.PropBuilder.prop(String, String)`, namespace with `SchemaBuilder.NamespacedBuilder.namespace(String)`, doc with `SchemaBuilder.NamedBuilder.doc(String)`, and aliases with `SchemaBuilder.NamedBuilder.aliases(String[])`.

The Fixed schema is finalized when its required size is set via `size(int)`.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected SchemaBuilder.FixedBuilder<R>` `self()` a self-type for chaining builder subclasses.
`R` `size(int size)` Configure this fixed type's size, and end its configuration.

### Methods inherited from class org.apache.avro.SchemaBuilder.NamespacedBuilder

`namespace`

### Methods inherited from class org.apache.avro.SchemaBuilder.NamedBuilder

`aliases, doc`

### Methods inherited from class org.apache.avro.SchemaBuilder.PropBuilder

`prop, prop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### self

    protected SchemaBuilder.FixedBuilder<R> self()

Description copied from class: `SchemaBuilder.PropBuilder`
a self-type for chaining builder subclasses. Concrete subclasses must return 'this'

Specified by:
  `self` in class `SchemaBuilder.PropBuilder<SchemaBuilder.FixedBuilder<R>>`

#### size

    public R size(int size)

Configure this fixed type's size, and end its configuration.